/* FOR COMPILATION AND DEBUGGING PURPOSES ONLY! */
/* This alife.c file contains stubss for all AI routines used by the 
 * universe.  This is a quick-and-dirty AI, provided to allow compilation of
 * universe code while the AI code is being written. */

#include <stdio.h> /* for definition of NULL */

#include "ai.h"

void AI_InitProbeGenome(UN_Object* obj, AI_Genome *parent1, AI_Genome *parent2)
{
    obj->extra.animate.genome = (void *) parent1;
}

void AI_InitOtherGenome(UN_Object* obj)
{
    obj->extra.animate.genome = (void *) NULL;
}

UN_Actions AI_GetKeys(UN_Object *obj)
{
	return (UN_Actions) ACT_LEFT;
/*
    if (obj->what == OBJ_PROBE)
        return (UN_Actions) ACT_THRUST;
    else
        return (UN_Actions) ACT_BRAKE;
*/
}

void AI_Interrupt(UN_Object* obj, long type)
{
    switch (type) {
        case THRUST_FAIL:
            obj->extra.animate.actions &= ~ACT_THRUST;
            break;
        default:
            return;
    }
    return;
}

void AI_DoQueue(FE_Ticks ticksLeft)
{
	while ((signed long) FE_GetTicks(ticksLeft) > 0);
    return;
}
