#ifndef DEF_FEASM
#define DEF_FEASM

// This defines the prototypes for all the asm funcs:
extern "C" { void FEASM_DrawSquare(char *dest, int w, int h); }
extern "C" { void FEASM_Init(int *xlookup, int *ylookup); }
extern "C" { void FEASM_ShutDown(); }
extern "C" { void FEASM_DrawTransSquare(int dest, int source); }
extern "C" { void FEASM_SetGraph(int mode); }
extern "C" { void FEASM_BlitScreen(char *dest, char *source, int skip); }
extern "C" { void FEASM_DoPrecompiled(char *dest, char *source, char *code); }
extern "C" { void FEASM_DrawRotated(char *dest, char *source, int *edgedata); }
extern "C" { void FEASM_MoveStars(char *dest, int num, int *data); }
extern "C" { void FEASM_InitStars(int seed, int num, int *data); }
#endif
