/******************************************************************
 * Keyhndlr.h
 ******************************************************************/
#ifndef __KEYHNDLR
#define __KEYHNDLR

/******************************************************************
 * Prototypes:
 ******************************************************************/
extern "C" { void KEYHNDLR_Install(char *keytable); }
extern "C" { void KEYHNDLR_Remove(); }
extern "C" { void KEYHNDLR_Enable(int enable); }	// Enabled by default

/******************************************************************
 * Key bindings:
 ******************************************************************/
#define KEY_TABLE_SIZE 256
// Add key sticky to get sticky version (Set to one on press, must
// be cleared by user!)  This is mandatory to ensure one does not
// miss quick presses.
#define KEY_STICKY 128
#define KEY_ESC 1
#define KEY_UP  72
#define KEY_DOWN 80
#define KEY_LEFT 75
#define KEY_RIGHT 77

#define KEY_Q 16
#define KEY_W 17
#define KEY_E 18
#define KEY_R 19
#define KEY_T 20
#define KEY_Y 20
#define KEY_U 21
#define KEY_I 22
#define KEY_O 23
#define KEY_P 24

#define KEY_A 30
#define KEY_S 31
#define KEY_D 32
#define KEY_F 33
#define KEY_G 34
#define KEY_H 35
#define KEY_J 36
#define KEY_K 37
#define KEY_L 38
#define KEY_SEMI 39

#endif
