/***************************************************************************\
* Project Von Neumann - unobject.h header file                              *
* --------------------------------------------------------------------------*
* Copyright (C) 1995 - 1997 Project Von Neumann Team.  All Rights Reserved. *
* --------------------------------------------------------------------------*
* Last Revised: 1/1/97                                                      *
* By          : Adrian Tymes                                                *
* Version #   : 0.80                                                        *
* Description : Universe initialisation and object management functions     *
\***************************************************************************/ 

#ifndef UNOBJECT_H
#define UNOBJECT_H

/* include types */
#include "untypes.h"
#include "ungame.h"

/***************************************************************************\
* Description: Function Prototypes
\***************************************************************************/

void UN_Init();
void UN_InitGame();
void UN_Restock(short wave_number);
void UN_FireWeapon(UN_Object *firer);

#endif
